Loading...
Searching...
No Matches
ip_smatrix Class Reference

`#include <matpol.h>`

## Public Member Functions

int & | rows ()
int & | cols ()

## Data Fields

poly * | m
long | rank
int | nrows
int | ncols

## Detailed Description

Definition at line 14 of file matpol.h.

## Member Function Documentation

## cols()

int & ip_smatrix::cols | ( |  | ) |

inline

Definition at line 24 of file matpol.h.

{ return ncols; }
ip_smatrix::ncols
int ncols
Definition matpol.h:21

## rows()

int & ip_smatrix::rows | ( |  | ) |

inline

Definition at line 23 of file matpol.h.

{ return nrows; }
ip_smatrix::nrows
int nrows
Definition matpol.h:20

## Field Documentation

## m

poly* ip_smatrix::m

Definition at line 18 of file matpol.h.

## ncols

int ip_smatrix::ncols

Definition at line 21 of file matpol.h.

## nrows

int ip_smatrix::nrows

Definition at line 20 of file matpol.h.

## rank

long ip_smatrix::rank

Definition at line 19 of file matpol.h.

The documentation for this class was generated from the following file:

- libpolys/polys/matpol.h